package fr.lri.hcc.ilda.touchtokens;

/*
 *   Authors: Caroline Appert (caroline.appert@lri.fr)
 *   Copyright (c) Univ. Paris-Sud XI, 2016. All Rights Reserved
 *   Licensed under the GNU LGPL. For full terms see the file COPYING.
*/

public class BufferSurface extends BufferBend {


	public BufferSurface() {
		super();
	}

	public boolean onSurface() {
		synchronized(this) {
			double computedSlope3 = getSlope(3);
			double computedSlope2 = getSlope(2);
			return !(Math.min(computedSlope2, computedSlope3) < 0);
		}
	}

}
