package fr.lri.hcc.ilda.touchtokens;

/*
 *   Authors: Caroline Appert (caroline.appert@lri.fr)
 *   Copyright (c) Univ. Paris-Sud XI, 2016. All Rights Reserved
 *   Licensed under the GNU LGPL. For full terms see the file COPYING.
*/

public interface TokenListener {

	void tokenDown(TokenEvent event);
	void tokenMoved(TokenEvent event);
	void tokenUp(TokenEvent event);
	
	void tokenBent(TokenEvent event);
	void tokenUnbent(TokenEvent event);
	
	void tokenPressed(TokenEvent event);
	void tokenReleased(TokenEvent event);
}
